use crate::KeyResolver;
use fred::prelude::LuaInterface;

#[derive(Debug, Clone)]
pub(crate) struct Config<L, K>
where
    L: LuaInterface,
    K: KeyResolver,
{
    pub conn: L,
    pub key_resolver: K,
    pub capacity: u16,
    pub emission_interval: u32,
    pub fail_open: bool,
}
